<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>
    <script>
        let userNumber = ''
        while (isNaN(userNumber) || !userNumber) {
            userNumber = +prompt('enter number', userNumber)
        }
        function getNumberFactorial(num) {
            if (num === 1) {
                return 1;
            }
            else {

                return num * getNumberFactorial(num - 1);
            }
        }
        console.log(`Factorial of ${userNumber} is ${getNumberFactorial(userNumber)}`)
    </script>
</body>

</html>